Skip to main content
`Ctrl`+`K`

# PCGAMGSetThresholdScale

Relative threshold reduction at each level

## Synopsis

    #include "petscpc.h"
    #include "petscksp.h"
    PetscErrorCode PCGAMGSetThresholdScale(PC pc, PetscReal v)

Not Collective

## Input Parameters

- pc - the preconditioner context

- v - the threshold value reduction, usually < 1.0

## Options Database Key

- -pc_gamg_threshold_scale v - set the relative threshold reduction on each level

## Note

The initial threshold (for an arbitrary number of levels starting from the finest) can be set with `PCGAMGSetThreshold()`. This scaling is used for each subsequent coarsening, but must be called before `PCGAMGSetThreshold()`.

## See Also

the Users Manual section on PCGAMG, the Users Manual section on PCMG, KSP: Linear System Solvers, `PCGAMG`, `PCGAMGSetThreshold()`

## Level

advanced

## Location

src/ksp/pc/impls/gamg/gamg.c

## Implementations

PCGAMGSetThresholdScale_GAMG() in src/ksp/pc/impls/gamg/gamg.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages